#!/bin/bash -xe

cTime=$(date -Is)

# export LOGDEST=/var/log/uniworx/${cTime}.log # kubernetes prefers log via stdout

typeset -a configs

configDir=${CONFIG_DIR-/cfg}
configs=()
if [[ -d "${configDir}" ]]; then
  while IFS= read -d $'\0' cfg; do
    configs+=("${(q)cfg}")
  done < <(find "${configDir}" \( -name '*.yml' -o -name '*.yaml' \) -print0 | sort -rz)
fi

cd /var/lib/uniworx

exec -- uniworx ${configs}